Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Collections.Specialized.NameObjectCollectionBase

Represents a collection of associated keys and values.

This class can be used for headers, query strings and form data. Each key in the collection is associated with one or more values. Multiple values for a particular key are contained in a single .

The capacity is the number of key-and-value pairs that the can contain. The default initial capacity is zero. The capacity is automatically increased as required.

The hash code provider dispenses hash codes for keys in the .

The comparer determines whether two keys are equal.

- Constructor

  Constructs and initializes a new instance of the class.

  The new instance is initialized with the default initial capacity, , and .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  The used to initialize the new instance.

  Constructs and initializes a new instance of the class using the values of the specified .

  The capacity, values, and order of values of the new instance are equal to the capacity and values of . The and of the new instance are the default instances.

  The elements of the new are sorted in the same order as the source .

  is .
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the initial number of entries that the new instance can contain.

  Constructs and initializes a new instance of the class with the specified initial capacity.

  The new instance is initialized with the default and .

  < 0.
  0
  1.0.5000.0
  2.0.0.0
- Constructor

  The that supplies the hash codes for all keys in the new instance; or, to use the default hash code provider.

  The to use to determine whether two keys are equal. Specify to use the default comparer.

  Constructs and initializes a new instance of the class with the specified and the specified

  .

  The new instance is initialized with the default capacity of zero.

  0
  1.0.5000.0
  2.0.0.0
  System.Obsolete("Use NameValueCollection (IEqualityComparer)")
- Constructor
  2.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  A containing the initial number of entries that the new instance can contain.
  The used to initialize the new instance.

  Constructs and initializes new instance of the class that contains the same values as the specified and either the specified capacity or the capacity of the specified collection, whichever is greater.

  The new instance is initialized with the default and .

  is .
  is < 0.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the initial number of entries that the can contain.
  The that will supply the hash codes for all keys in the new instance.

  The to use to determine whether two keys in the new instance are equal.

  Constructs and initializes new instance of the class with the specified initial capacity, hash code provider, and comparer.

  To be added.
  < 0.
  0
  1.0.5000.0
  2.0.0.0
  System.Obsolete("Use NameValueCollection (IEqualityComparer)")
- Method
  System.Void `` The to copy to the current instance.

  Copies the entries from the specified to the current instance.

  If a key in already exists in the target instance, the associated value in is added to the existing comma-separated list of values associated with the same key in the target instance.

  The current instance is read-only. is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  A that represents the key of the entry to add. Can be .

  To be added.

  Adds an entry with the specified key and value to the current instance.

  As described above.

  If the specified key already exists in the current instance, the specified value is added to the existing comma-separated list of values associated with the same key.

  Attempting to assign the same value to an existing key adds a new value to that key, thus providing two (or more) copies of the same value associated with the key.

  Override this method to customize the default behavior in a type derived from the current type.

  Use this method to add an entry to the current instance.

  The current instance is read-only. 0 1.0.5000.0 2.0.0.0
- Property
  System.String[]

  Gets all the keys in the current instance.

  A array containing all the keys of the current instance. If the current instance is empty, the value of this property is an empty array.

  This property is read-only.

  The array returned by is cached for better performance and is automatically refreshed when the collection changes. A derived class can invalidate the cached version by calling , thereby forcing the array to be refreshed.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Invalidates the cached arrays and removes all entries from the current instance.

  The value of each key and value in the current instance is set to .

  If the current instance is empty, it remains unchanged and no exception is thrown.

  The current instance is read-only. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A one-dimensional, zero-based that is the destination of the elements copied from the current instance. A containing the zero-based index in at which copying begins.

  Copies the elements from the current instance to the specified , starting at the specified index in that array.

  This method uses to copy the elements.

  This method is implemented to support the interface.

  is . < 0.

  has more than one dimension.

  -or-

  >= .Length.

  -or-

  The number of elements in the current instance is greater than the available space from to the end of the destination .

  At least one element in the current instance is not assignment-compatible with the type of . 0 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Int32

  Gets the number of elements contained in the current instance.

  A that indicates the number of elements contained in the current instance.

  This property is read-only.

  This property is implemented to support the interface.

- Method
  System.String ``

  A that specifies the zero-based index of the entry that contains the values to get from the current instance.

  Returns the values at the specified index of the current instance.

  A that contains a comma-separated list of the values at the specified index of the current instance, if found; otherwise, .

  As described above.

  is outside the valid range of indices for the current instance. 0 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  A that specified the key of the entry that contains the values to get.

  Gets the values associated with the specified key from the current instance combined into one comma-separated list.

  A that contains a comma-separated list of the values associated with the specified key from the current instance, if found; otherwise, .

  As described above.

  If is , the values associated with the null key, if any, are returned; otherwise, is returned.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  A that specifies the zero-based index of the key to get from the current instance.

  Returns the key at the specified index of the current instance.

  A that contains the key at the specified index of the current instance, if found; otherwise, .

  As described above.

  is outside the valid range of indices for the current instance. 0 1.0.5000.0 2.0.0.0
- Method
  System.String[] ``

  A that specifies the zero-based index of the entry that contains the values to get from the current instance.

  Returns an array that contains the values at the specified index of the current instance.

  A array containing the values at the specified index of the current instance, if found; otherwise, .

  As described above.

  is outside the valid range of indices for the current instance. 0 1.0.5000.0 2.0.0.0
- Method
  System.String[] ``

  A that specifies the key of the entry that contains the values to get.

  Gets the values associated with the specified key from the current instance.

  A array containing the values associated with from the current instance, if found; otherwise, .

  As described above.

  If is , no exception is thrown and is returned.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  Gets a value indicating whether the current instance contains keys that are not .

  if the current instance contains keys that are not ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Resets the cached arrays of the current instance to .

  The array returned by is cached for better performance and is automatically refreshed when the collection changes. A derived class can invalidate the cached version by calling , thereby forcing the arrays to be recreated.

  0
  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean Gets or sets a value indicating whether the current instance is read-only. if the current instance is read-only; otherwise, .

  This property is read-write.

- Property
  System.String ``

  A that specifies the zero-based index of the entry to locate in the current instance.

  Gets the value in the current instance that is associated with the specified index.

  A that contains the comma-separated list of values at the specified index of the current instance.

  This property is read-only.

  This property provides the ability to access a specific element in the collection by using the following syntax: myCollection[index].

  This property cannot be set. To set the value at a specified index, use Item[GetKey(index)].

  is outside the valid range of indices for the current instance. The property is being set and the current instance is read-only. 0 1.0.5000.0 2.0.0.0
- Property
  System.String ``

  A containing the key of the entry to locate.

  Gets or sets the value in the current instance that is associated with the specified key.

  A that contains the comma-separated list of values associated with the specified key. If is not contained in the current instance, attempting to get it returns , and attempting to set it creates a new entry using .

  If the specified key already exists in the collection, setting this property overwrites the existing values with the specified value. (If the existing value contains a string of multiple comma-delimited values, the complete string is replaced with a single instance of the specified value.) If the specified key does not exist in the collection, setting this property creates a new entry using the specified key and the specified value.

  This property provides the ability to access a specific element in the current instance using the following notation: myCollection[key] .

  To add the new value to the existing list of values, use the method.

  is outside the valid range of indexes for the collection. The property is being set and the current instance is read-only. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A containing the key of the entry to remove from the current instance.

  Removes the entry with the specified key from the current instance.

  If is found, the key and its associated value are set to . Removing an element does not alter the capacity of a .

  This method uses the implementation of to locate in the current instance. If is not found in the current instance or is , no exception is thrown and the current instance is unchanged.

  The current instance is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  A containing the key of the entry to add the new value to.

  A containing the new value to add to the specified entry.

  Sets the value of the specified entry in the current instance to the specified value.

  If the specified key already exists in the current instance, this method overwrites the existing values with the specified value. (If the existing value contains a string of multiple comma-delimited values, the complete string is replaced with a single instance of value.) If the specified key does not exist in the current instance, this method creates a new entry using the specified key and the specified value.

  Use the method to add the new value to the existing list of values.

  The current instance is read-only. 0 1.0.5000.0 2.0.0.0
0